#include <iostream>
#include <cuda.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
using namespace std;

__global__ void kernel_gpu(int N){
int i = blockIdx.x * blockDim.x + threadIdx.x;
if (i < N){
}
}

void kernel_cpu(int N){
for(int i=0;i<N;i++){
}
}

int main(int argc,char **argv) {
fprintf(stderr, "891 ");
int size=109088;
int intBytes = size*sizeof(int);
int floatBytes = size*sizeof(float);
for(int i=0;i<109088;i++){
}
int n = 427*256;
int block_size = 256;
int block_no = n/block_size;
struct timeval time0,time1;
gettimeofday(&time0,NULL);
kernel_gpu<<<block_no,block_size>>>(109088);
cudaThreadSynchronize();
gettimeofday(&time1,NULL);
double totaltime10 = (time1.tv_sec*1000000.0 + time1.tv_usec) - (time0.tv_sec*1000000.0 + time0.tv_usec);
fprintf(stderr, "GPU time: %lf msecs ",  (totaltime10)/1000.0F);
gettimeofday(&time0,NULL);
kernel_cpu(109088);
gettimeofday(&time1,NULL);
totaltime10 = (time1.tv_sec*1000000.0 + time1.tv_usec) - (time0.tv_sec*1000000.0 + time0.tv_usec);
fprintf(stderr, "CPU time: %lf msecs ",  (totaltime10)/1000.0F);
for(int i=0;i<109088;i++){
}
printf("\n");return 0; }